VE+NWE: Move Omega button into Insert menu
Closed, DeclinedPublic

Description

Per discussion in T116417

Dvorapa created this task.Jan 26 2017, 9:19 AM

The Omega icon is apparently not movable: T93243#2354640

I see that @Esanders comments on this, saying:

Special character is a separate tool because it is a toggle button for the panel, mostly because we couldn't find a place for a hide button in the special character panel.

That would seem to be a surmountable problem (easy for me to say, I know). E.g., couldn't the Special Character panel become a pop-up window, like the Media window?

That would seem to be a surmountable problem (easy for me to say, I know). E.g., couldn't the Special Character panel become a pop-up window, like the Media window?

No, it can't be modal as on many wikis people will want to keep it open constantly while they type.

No, it can't be modal as on many wikis people will want to keep it open constantly while they type.

This makes sense, you can close it as Declined.

Just want to mention T154113 in order to remember this issue later.

Esanders closed this task as Declined.Jan 26 2017, 2:58 PM

That would seem to be a surmountable problem (easy for me to say, I know). E.g., couldn't the Special Character panel become a pop-up window, like the Media window?

No, it can't be modal as on many wikis people will want to keep it open constantly while they type.

I think these are two different aspects: (a) having the panel non-blocking (which I agree makes total sense), and (b) using a toggle button to show/hide it. However, I think it is only the later aspect what is preventing the omega button to be moved inside a sub-menu. Using a toggle button to open/close the character panel may not be the only option.

For example, it should be possible to use the omega button to open a non-blocking panel which could have its own close button. In that way, it is not that important for the omega button to be visible all the time. Thus, it could be moved to a sub-menu while keeping the panel non-blocking.

Are there any concerns with that kind of approach?

For example, it should be possible to use the omega button to open a non-blocking panel which could have its own close button.

I had something similar. it uses the same space as current solution


Plus having symbols on bottom like keyboard is a +

Volker_E reopened this task as Open.Jan 27 2017, 12:39 AM

Re-open through ongoing questions apart from flawed proposal on moving it to dialog…

Volker_E removed a subscriber: violetto.

We used the button as a toggle because vertical space is at a premium and it seems wasteful to throw away 40px for the sake of one button.

@Esanders horizontal space is at premium on the toolbar and it seems wasteful to throw away 40px for sake of one button that we know is not frequently used but we cannot do anything about it because we believe we don't have a better solution.

I wasn't saying there weren't better solutions. Just explaining the decision.

just questioning that decision because I see a false logic. it's a choice between 40px vertical space on screen in one use case VS 40px horizontal space on toolbar in all use cases. I don't think that choice is hard.

also to note, the vertical 40px space has less value because when you scroll you get more of article space.

Nirzar added a comment.EditedJan 27 2017, 8:49 PM

furthermore, as this is a unique panel, we can have a close inside the panel

this will require one less column in grid of symbols but i think that is a good trade off.

I'd see a panel like proposed in the comment above by @Nirzar as favorable, actually had envisioned the same. @Esanders, was a panel with included close icon considered back then?

moving symbol out of toolbar has added advantage of that icon with a label. right now the icon does not say "insert a symbol" by any means. when this item will be in the insert menu, we can have an explicit label too

Dvorapa removed a subscriber: Dvorapa.Jan 27 2017, 9:10 PM

It is also worth noting we have an on-going piece of work to integrate jquery-IME with the toolbar, in which case we might to group that with the special char inserter.

@Esanders, was a panel with included close icon considered back then?

Yes, and we couldn't think of a sensible place for it to go. Open to suggestions.

Jdforrester-WMF closed this task as Declined.Feb 27 2017, 7:22 PM

The "special characters" control is fundamental to support for many languages, though as Ed says we're going to integrate the on-screen IMEs with it (which will turn it from a 10% tool to a 50% tool). Either way, we're continuing not to remove it.